edu.sc.seis.sod.subsetter.station

## Class StationScript

- java.lang.Object
- - edu.sc.seis.sod.subsetter.AbstractScriptSubsetter
  - - edu.sc.seis.sod.subsetter.station.StationScript

- All Implemented Interfaces:
    SodElement, StationSubsetter, Subsetter

      public class StationScript
      extends AbstractScriptSubsetter
      implements StationSubsetter

- - ### Field Summary

    - ### Fields inherited from class edu.sc.seis.sod.subsetter.AbstractScriptSubsetter

      `config, engine, factory, script, scriptType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StationScript(org.w3c.dom.Element config)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StringTree` | `accept(edu.iris.Fissures.network.StationImpl station, NetworkSource network)`
    `StringTree` | `runScript(VelocityStation station, VelocityNetworkSource networkSource)` Run the script with the arguments as predefined variables.

    - ### Methods inherited from class edu.sc.seis.sod.subsetter.AbstractScriptSubsetter

      `cleanScript, eval, preeval, pullResult`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StationScript

          public StationScript(org.w3c.dom.Element config)

  - ### Method Detail

    - #### accept

          public StringTree accept(edu.iris.Fissures.network.StationImpl station,
                                   NetworkSource network)
                            throws java.lang.Exception

      Specified by:
        `accept` in interface `StationSubsetter`
      Throws:
        `java.lang.Exception`

    - #### runScript

          public StringTree runScript(VelocityStation station,
                                      VelocityNetworkSource networkSource)
                               throws java.lang.Exception

      Run the script with the arguments as predefined variables.
      Throws:
        `java.lang.Exception`